%global srcname async_generator
%global pkgname async-generator

Summary:        Async generators and context managers
Name:           python-%{pkgname}
Version:        1.10
Release:        4%{?dist}
License:        MIT or ASL 2.0
URL:            https://github.com/python-trio/async_generator
Source0:        %pypi_source

BuildArch:      noarch

%description
This library generally tries hard to match the semantics of Python 3.6's native async generators in
every detail (PEP 525), with additional support for yield from and for returning non-None values
from an async generator (under the theory that these may well be added to native async generators one day).

%package -n python3-%{pkgname}
Summary:        Async generators and context managers
BuildRequires:  python3-devel %{py3_dist pytest}

%description -n python3-%{pkgname}
This library generally tries hard to match the semantics of Python 3.6's native async generators in
every detail (PEP 525), with additional support for yield from and for returning non-None values
from an async generator (under the theory that these may well be added to native async generators one day).

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Shuo Wang <abushwang@tencent.com> - 1.10-1
- initial build
